using Rowa.Lib.Log;
using StorageSystem.Simulators.Core;
using System;
using System.Drawing;
using System.Windows.Forms;

namespace StorageSystemSimulator
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            LogManager.Initialize("Wwks2SDK", "StorageSystemSimulator", "RowaLogConfig.xml");
            Application.EnableVisualStyles();

            Application.SetCompatibleTextRenderingDefault(false);
            Application.SetDefaultFont(new Font(new FontFamily("Microsoft Sans Serif"), 8f));

            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new FormMain {Text = SimulatorApp.Title});

            LogManager.Cleanup();
        }
    }
}
